Package org.apache.sling.feature.scanner.impl.fwk

# Class FrameworkPropertiesGatherer

java.lang.Object
org.apache.sling.feature.scanner.impl.fwk.FrameworkPropertiesGatherer

public class FrameworkPropertiesGatherer extends Object
This class launches an OSGi framework and obtains the system packages and capabilities provided by it. It takes 2 arguments:

- 1st argument: the file name of a properties file containing the properties to use to initialise the framework
- 2nd argument: the file name to write the result into. This will also be written in the form of a properties file.

After obtaining the values, the launched framework is stopped.

## Constructor Summary

Constructors
Constructor
Description
`FrameworkPropertiesGatherer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameworkPropertiesGatherer

public FrameworkPropertiesGatherer()

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`